#include <WiFi.h>
#include <WebServer.h>


// WiFi credentials
const char* ssid = "YourWiFiSSID";
const char* password = "YourWiFiPassword";


WebServer server(80); // Create a web server listening on port 80


// Pin for the onboard LED (assuming it's connected to GPIO 33)
const int ledPin = 33;


void setup() {
 Serial.begin(115200);


 // Connect to WiFi
 WiFi.begin(ssid, password);
 Serial.print("Connecting to WiFi");
 while (WiFi.status() != WL_CONNECTED) {
   delay(500);
   Serial.print(".");
 }
 Serial.println("Connected!");


 // Start the web server
 server.on("/", handleRoot); // Handle requests to "/"
 server.begin();
 Serial.println("HTTP server started");


 // Initialize LED pin
 pinMode(ledPin, OUTPUT);
 digitalWrite(ledPin, LOW); // Ensure LED is initially off
}


void loop() {
 server.handleClient(); // Handle incoming client requests
}


void handleRoot() {
 // Send HTTP response with HTML content
 String html = "<html><body><h1>Welcome to Indus board Web Server</h1>";
 html += "<p><a href=\"/unlock\">Unlock the lock</a></p>";
 html += "</body></html>";
 server.send(200, "text/html", html);
}


void unlockLock() {
 digitalWrite(ledPin, HIGH); // Turn on the LED to unlock
 delay(5000); // Keep LED on for 5 seconds (adjust as needed)
 digitalWrite(ledPin, LOW); // Turn off the LED
}


